Subject: B20.1 Automatic carriage return
From: [email-masked] (Cheung Chi Man)

31 Dec 1998 05:51:11 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

   I use Cygwin B20.1, under WIndows 95, to compile my C++ program.
However, I found that a carriage return occur even if I have no
intention to do.
   For example, my program (test.cpp):
      #include <iostream>
      void main()
      { int number;
        cout<<" Please input a number ";
        cin>>number;
        cout<<number<<" is your input number";
      }
   When I compile it and run the prgram, it occur as follow :
   ------- screen shot -------
   BASH.EXE-2.02$g++ -o test test.cpp
   BASH.EXE-2.02$./test.exe
   Please input a number
   13
   13 is your input number BASH.EXE-2.02$
   ------- screen shot end ------
   It automatically make a carriage return !! Is there something 
worng ?

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".